import request from '@/utils/request'

// 查询自行车列表
export function listBicycle(query) {
  return request({
    url: '/dev/bicycle/list',
    method: 'get',
    params: query
  })
}

// 查询自行车详细
export function getBicycle(id) {
  return request({
    url: '/dev/bicycle/' + id,
    method: 'get'
  })
}

// 新增自行车
export function addBicycle(data) {
  return request({
    url: '/dev/bicycle',
    method: 'post',
    data: data
  })
}

// 修改自行车
export function updateBicycle(data) {
  return request({
    url: '/dev/bicycle',
    method: 'put',
    data: data
  })
}

// 删除自行车
export function delBicycle(id) {
  return request({
    url: '/dev/bicycle/' + id,
    method: 'delete'
  })
}
